Subject: Re: [PATCH 1/7] MIPS: Octeon: Fix EIO handling.

From: Greg KH <[email-masked]>
Date: Tue, 12 Jan 2010 05:43:13 -0800

On Tue, Jan 12, 2010 at 12:36:19PM +0100, Ralf Baechle wrote:
> On Thu, Jan 07, 2010 at 01:59:50PM -0800, Greg KH wrote:
> 
> > >>> If an interrupt handler disables interrupts, the EOI function will
> > >>> just reenable them.  This will put us in an endless loop when the
> > >>> upcoming Ethernet driver patches are applied.
> > >>>
> > >>> Only reenable the interrupt on EOI if it is not IRQ_DISABLED.  This
> > >>> requires that the EIO function be separate from the ENABLE function.
> > >>> We also rename the ACK functions to correspond with their function.
> > >>>
> > >>> Signed-off-by: David Daney <[email-masked]>
> > >>>   
> > >>
> > >>   I guess the subject should read "EIO", not "EIO"...
> > >>
> > >
> > > Indeed.  The compiler didn't catch that one.
> > >
> > > Perhaps Ralf can fix it if he merges it, otherwise I can resubmit with 
> > > corrected spelling.
> > 
> > I can change it when merging, don't worry about it.
> 
> This is a driver specific to a specific MIPS platform so I think this
> series should be merged via the MIPS tree and assuming Greg is ok with that
> I have merged this into my tree.

No objection from me at all, merge away :)

thanks,

greg k-h